=== kmymoney/plugins/ofx/CMakeLists.txt ===
if(ENABLE_OFXIMPORTER AND LIBOFX_FOUND)
  add_subdirectory( import )
endif(ENABLE_OFXIMPORTER AND LIBOFX_FOUND)
