=== debian/changelog ===
kmymoney (5.1.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patch to fix build failures against KDEPIM 21.12.

 -- Patrick Franz <deltaone@debian.org>  Sat, 02 Apr 2022 13:21:42 +0200

kmymoney (5.1.2-3) unstable; urgency=medium

  * Team upload.
  * Bump the libical-dev build dependency to 3.0.11-2, as it finally ships the
    CMake config files, required by upstream
    - drop cmake-libical-own-module.diff, no more needed now
  * CI: enable again the blhc job.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Oct 2021 08:37:38 +0200

kmymoney (5.1.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 125db90e64d77657918335df85f4c45b0d04325d, and
    commit 265d4dc3d1dc8592ec1122aa04bfb7d431a43d5d to build with newer versions
    of Gwenhywfar; patches upstream_Remove-unused-variable-definition.patch and
    upstream_Fix-build-with-newer-Gwenhywfar-versions.patch. (Closes: #995676)
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Oct 2021 07:54:48 +0200

kmymoney (5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.12.0
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Temporarily switch the CMake detection of libical to the own code, instead
    of relying on the CMake config module of libical which is not shipped in
    libical-dev (I do not know why); patch +cmake-libical-own-module.diff.
  * Update install files.
  * Stop shipping README.Fileformats, as it does not exist anymore (moved as
    online documentation).

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 14:18:28 +0200
