=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/kmymoney/([\d\.]+)/src/kmymoney-([\d\.]+)\.tar\.xz
